curl --request POST \
--url https://api.shuyou.ai/v1/predictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "happyhorse-1.0-r2v",
"input": {
"prompt": "The character walks through a busy street with consistent appearance",
"reference_image_urls": [
"https://example.com/character-ref.png"
]
}
}
'{
"data": {
"task_id": "2c4d50261173430290971a2395a3b607",
"task_status": "processing"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}HappyHorse
HappyHorse 1.0 R2V
Create asynchronous reference-to-video tasks with happyhorse-1.0-r2v via POST /v1/predictions.
POST
/
v1
/
predictions
curl --request POST \
--url https://api.shuyou.ai/v1/predictions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "happyhorse-1.0-r2v",
"input": {
"prompt": "The character walks through a busy street with consistent appearance",
"reference_image_urls": [
"https://example.com/character-ref.png"
]
}
}
'{
"data": {
"task_id": "2c4d50261173430290971a2395a3b607",
"task_status": "processing"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
}
}Authorizations
Authorization: Bearer YOUR_API_KEY
Body
application/json
Model ID. Use happyhorse-1.0-r2v for this endpoint.
Available options:
happyhorse-1.0-r2v Example:
"happyhorse-1.0-r2v"
Show child attributes
Show child attributes
Optional HTTPS callback URL when the task completes, fails, or is cancelled (Predictions API).
Response
Async task created
Show child attributes
Show child attributes